%define major  1
%define libname %mklibname qzeitgeist %major
%define develname %mklibname -d qzeitgeist

Name:           libqzeitgeist
Group:          Development/KDE and Qt
Summary:        Qt interface for Zeitgeist
Version:        0.8.0
Release:        %mkrel 1
URL:            https://projects.kde.org/projects/kdesupport/libqzeitgeist/
License:        GPLv2
#  git clone git://anongit.kde.org/libqzeitgeist
#  git checkout 0.7
Source0:         %{name}-%{version}.tar.bz2
Patch0:         libqzeitgeist-0.8.0-declarative.patch
#Patch1:         libqzeitgeist-fix-libs.patch
BuildRequires:  pkgconfig(QtCore)
BuildRequires:  cmake
BuildRequires:  automoc4
BuildRequires:  zeitgeist
# Added as an ugly workaround for now
BuildRequires:  qt4-qmlviewer
%description
A Qt interface to the Zeitgeist event tracking system.

#------------------------------------------------------------------------------

%package declarative-plugin
Group:  System/Libraries
Summary: Declarative plugin for %{name}

%description declarative-plugin
Declarative plugin pour %{name}

%files declarative-plugin
%{_qt4_importdir}/org/gnome/zeitgeist/libQZeitgeistDeclarativePlugin.so
%{_qt4_importdir}/org/gnome/zeitgeist/qmldir

#-------------------------------------------------------------------------------

%package -n %libname
Group:      System/Libraries
Summary:    Qt Zeitgeist developement files
Requires: %{name}-declarative-plugin

%description -n %libname
A Qt interface to the Zeitgeist event tracking system.

This package provides the runtime library.

%files -n %libname
%{_libdir}/libqzeitgeist.so.%{major}*
%{_libdir}/libqzeitgeist.so.0.8.0

#-------------------------------------------------------------------------------

%package -n     %develname
Group:          Development/KDE and Qt
Summary:        Qt Zeitgeist developement files
Requires:       %libname = %version-%release
Provides:       %name-devel = %version-%release
Provides:       qzeitgeist-devel = %version-%release

%description -n %develname
A Qt interface to the Zeitgeist event tracking system.

This package provides the devel files needed to build a package against %{name}.

%files -n %develname
%_libdir/cmake/QZeitgeist
%_includedir/QZeitgeist
%_libdir/libqzeitgeist.so
%_libdir/pkgconfig/QZeitgeist.pc

#-------------------------------------------------------------------------------

%prep
%setup -q
%apply_patches

%build
%cmake_qt4
%make

%install
rm -rf %{buildroot}
%makeinstall_std -C build


%changelog

* Sun Dec 18 2011 mikala <mikala> 0.8.0-1.mga2
+ Revision: 183982
- Update tarball to 0.8
- fix macro usage

* Fri Oct 07 2011 mikala <mikala> 0.7-1.mga2
+ Revision: 152809
- Update tarball to 0.7 (using git tag)
- rediff patch1 & patch2
- fix URL, License tag
- use pkgconfig()
- remove redundant BR

* Thu Jun 30 2011 dmorgan <dmorgan> 0.1-5.mga2
+ Revision: 116374
- More provides

* Tue Jun 28 2011 mikala <mikala> 0.1-4.mga2
+ Revision: 115502
- Add missing requires for -devel package

* Tue Jun 28 2011 dmorgan <dmorgan> 0.1-3.mga2
+ Revision: 115493
- Fix creation of lib package

* Mon Mar 28 2011 dmorgan <dmorgan> 0.1-2.mga1
+ Revision: 78348
- Fix install for libs
- Fix buildrequires
- imported package libqzeitgeist

